List entities
https://{kibana_url}
- GET /api/security/entity_store/entities
List entity records from the Entity Store with paging, sorting, and filtering. Supports two modes: page-based pagination (page/per_page) and cursor-based pagination (searchAfter). The two modes cannot be combined.
[Required authorization] Route required privileges: securitySolution.
Query Parameters
-
filterstring A Kibana Query Language (KQL) filter for the search-after mode.
-
sizeinteger · min: 1 · max: 9007199254740991 Number of entities to return in search-after mode.
-
searchAfterstring JSON-encoded search_after value for cursor-based pagination.
-
sourcestring Fields to include in the response source.
-
fieldsstring Fields to include in the response.
-
sort_fieldstring Field to sort results by in page mode.
-
pageinteger · min: 1 · max: 9007199254740991 Page number to return (1-indexed) in page mode.
-
per_pageinteger · min: 1 · max: 10000 Number of entities per page in page mode.
-
filterQuerystring An Elasticsearch query string to filter entities in page mode.
Responses
Indicates a successful response.
Bad request.